# azure.mgmt.containerregistry.v2018_09_01.models module

class `azure.mgmt.containerregistry.v2018_09_01.models.``Actor`(*, name: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The agent that initiated the event. For most situations, this could be from the authorization context of the request.

  Parameters: | name (str) – The subject or username associated with the request context that generated the event.

class `azure.mgmt.containerregistry.v2018_09_01.models.``AgentProperties`(*, cpu: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The properties that determine the run agent configuration.

  Parameters: | cpu (int) – The CPU configuration in terms of number of cores required for the run.

class `azure.mgmt.containerregistry.v2018_09_01.models.``Argument`(*, name: str, value: str, is_secret: bool = False, **kwargs)

  Bases: `msrest.serialization.Model`

  The properties of a run argument.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - name (str) – Required. The name of the argument.
  - value (str) – Required. The value of the argument.
  - is_secret (bool) – Flag to indicate whether the argument represents a secret and want to be removed from build logs. Default value: False .

class `azure.mgmt.containerregistry.v2018_09_01.models.``AuthInfo`(*, token_type, token: str, refresh_token: str = None, scope: str = None, expires_in: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The authorization properties for accessing the source code repository.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - token_type (str or TokenType) – Required. The type of Auth token. Possible values include: ‘PAT’, ‘OAuth’
  - token (str) – Required. The access token used to access the source control provider.
  - refresh_token (str) – The refresh token used to refresh the access token.
  - scope (str) – The scope of the access token.
  - expires_in (int) – Time in seconds that the token remains valid

class `azure.mgmt.containerregistry.v2018_09_01.models.``AuthInfoUpdateParameters`(*, token_type=None, token: str = None, refresh_token: str = None, scope: str = None, expires_in: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The authorization properties for accessing the source code repository.

  Parameters:

  - token_type (str or TokenType) – The type of Auth token. Possible values include: ‘PAT’, ‘OAuth’
  - token (str) – The access token used to access the source control provider.
  - refresh_token (str) – The refresh token used to refresh the access token.
  - scope (str) – The scope of the access token.
  - expires_in (int) – Time in seconds that the token remains valid

class `azure.mgmt.containerregistry.v2018_09_01.models.``BaseImageDependency`(*, type=None, registry: str = None, repository: str = None, tag: str = None, digest: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Properties that describe a base image dependency.

  Parameters:

  - type (str or BaseImageDependencyType) – The type of the base image dependency. Possible values include: ‘BuildTime’, ‘RunTime’
  - registry (str) – The registry login server.
  - repository (str) – The repository name.
  - tag (str) – The tag name.
  - digest (str) – The sha256-based digest of the image manifest.

class `azure.mgmt.containerregistry.v2018_09_01.models.``BaseImageTrigger`(*, base_image_trigger_type, name: str, status='Enabled', **kwargs)

  Bases: `msrest.serialization.Model`

  The trigger based on base image dependency.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - base_image_trigger_type (str or BaseImageTriggerType) – Required. The type of the auto trigger for base image dependency updates. Possible values include: ‘All’, ‘Runtime’
  - status (str or TriggerStatus) – The current status of trigger. Possible values include: ‘Disabled’, ‘Enabled’. Default value: “Enabled” .
  - name (str) – Required. The name of the trigger.

class `azure.mgmt.containerregistry.v2018_09_01.models.``BaseImageTriggerUpdateParameters`(*, name: str, base_image_trigger_type=None, status='Enabled', **kwargs)

  Bases: `msrest.serialization.Model`

  The properties for updating base image dependency trigger.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - base_image_trigger_type (str or BaseImageTriggerType) – The type of the auto trigger for base image dependency updates. Possible values include: ‘All’, ‘Runtime’
  - status (str or TriggerStatus) – The current status of trigger. Possible values include: ‘Disabled’, ‘Enabled’. Default value: “Enabled” .
  - name (str) – Required. The name of the trigger.

class `azure.mgmt.containerregistry.v2018_09_01.models.``CallbackConfig`(*, service_uri: str, custom_headers=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The configuration of service URI and custom headers for the webhook.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - service_uri (str) – Required. The service URI for the webhook to post notifications.
  - custom_headers (dict[str, str]) – Custom headers that will be added to the webhook notifications.

class `azure.mgmt.containerregistry.v2018_09_01.models.``Credentials`(*, source_registry=None, custom_registries=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters that describes a set of credentials that will be used when a run is invoked.

  Parameters:

  - source_registry (SourceRegistryCredentials) – Describes the credential parameters for accessing the source registry.
  - custom_registries (dict[str, CustomRegistryCredentials]) – Describes the credential parameters for accessing other custom registries. The key for the dictionary item will be the registry login server (myregistry.azurecr.io) and the value of the item will be the registry credentials for accessing the registry.

class `azure.mgmt.containerregistry.v2018_09_01.models.``CustomRegistryCredentials`(*, user_name=None, password=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Describes the credentials that will be used to access a custom registry during a run.

  Parameters:

  - user_name (SecretObject) – The username for logging into the custom registry.
  - password (SecretObject) – The password for logging into the custom registry. The password is a secret object that allows multiple ways of providing the value for it.

class `azure.mgmt.containerregistry.v2018_09_01.models.``DockerBuildRequest`(*, docker_file_path: str, platform, is_archive_enabled: bool = False, image_names=None, is_push_enabled: bool = True, no_cache: bool = False, target: str = None, arguments=None, timeout: int = 3600, agent_configuration=None, source_location: str = None, credentials=None, **kwargs)

  Bases: `azure.mgmt.containerregistry.v2018_09_01.models._models_py3.RunRequest`

  The parameters for a docker quick build.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - is_archive_enabled (bool) – The value that indicates whether archiving is enabled for the run or not. Default value: False .
  - type (str) – Required. Constant filled by server.
  - image_names (list[str]) – The fully qualified image names including the repository and tag.
  - is_push_enabled (bool) – The value of this property indicates whether the image built should be pushed to the registry or not. Default value: True .
  - no_cache (bool) – The value of this property indicates whether the image cache is enabled or not. Default value: False .
  - docker_file_path (str) – Required. The Docker file path relative to the source location.
  - target (str) – The name of the target build stage for the docker build.
  - arguments (list[Argument]) – The collection of override arguments to be used when executing the run.
  - timeout (int) – Run timeout in seconds. Default value: 3600 .
  - platform (PlatformProperties) – Required. The platform properties against which the run has to happen.
  - agent_configuration (AgentProperties) – The machine configuration of the run agent.
  - source_location (str) – The URL(absolute or relative) of the source context. It can be an URL to a tar or git repository. If it is relative URL, the relative path should be obtained from calling listBuildSourceUploadUrl API.
  - credentials (Credentials) – The properties that describes a set of credentials that will be used when this run is invoked.

class `azure.mgmt.containerregistry.v2018_09_01.models.``DockerBuildStep`(*, docker_file_path: str, context_path: str = None, context_access_token: str = None, image_names=None, is_push_enabled: bool = True, no_cache: bool = False, target: str = None, arguments=None, **kwargs)

  Bases: `azure.mgmt.containerregistry.v2018_09_01.models._models_py3.TaskStepProperties`

  The Docker build step.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables: | base_image_dependencies (list[BaseImageDependency]) – List of base image dependencies for a step.

  Parameters:

  - context_path (str) – The URL(absolute or relative) of the source context for the task step.
  - context_access_token (str) – The token (git PAT or SAS token of storage account blob) associated with the context for a step.
  - type (str) – Required. Constant filled by server.
  - image_names (list[str]) – The fully qualified image names including the repository and tag.
  - is_push_enabled (bool) – The value of this property indicates whether the image built should be pushed to the registry or not. Default value: True .
  - no_cache (bool) – The value of this property indicates whether the image cache is enabled or not. Default value: False .
  - docker_file_path (str) – Required. The Docker file path relative to the source context.
  - target (str) – The name of the target build stage for the docker build.
  - arguments (list[Argument]) – The collection of override arguments to be used when executing this build step.

class `azure.mgmt.containerregistry.v2018_09_01.models.``DockerBuildStepUpdateParameters`(*, context_path: str = None, context_access_token: str = None, image_names=None, is_push_enabled: bool = None, no_cache: bool = None, docker_file_path: str = None, arguments=None, target: str = None, **kwargs)

  Bases: `azure.mgmt.containerregistry.v2018_09_01.models._models_py3.TaskStepUpdateParameters`

  The properties for updating a docker build step.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - context_path (str) – The URL(absolute or relative) of the source context for the task step.
  - context_access_token (str) – The token (git PAT or SAS token of storage account blob) associated with the context for a step.
  - type (str) – Required. Constant filled by server.
  - image_names (list[str]) – The fully qualified image names including the repository and tag.
  - is_push_enabled (bool) – The value of this property indicates whether the image built should be pushed to the registry or not.
  - no_cache (bool) – The value of this property indicates whether the image cache is enabled or not.
  - docker_file_path (str) – The Docker file path relative to the source context.
  - arguments (list[Argument]) – The collection of override arguments to be used when executing this build step.
  - target (str) – The name of the target build stage for the docker build.

class `azure.mgmt.containerregistry.v2018_09_01.models.``EncodedTaskRunRequest`(*, encoded_task_content: str, platform, is_archive_enabled: bool = False, encoded_values_content: str = None, values=None, timeout: int = 3600, agent_configuration=None, source_location: str = None, credentials=None, **kwargs)

  Bases: `azure.mgmt.containerregistry.v2018_09_01.models._models_py3.RunRequest`

  The parameters for a quick task run request.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - is_archive_enabled (bool) – The value that indicates whether archiving is enabled for the run or not. Default value: False .
  - type (str) – Required. Constant filled by server.
  - encoded_task_content (str) – Required. Base64 encoded value of the template/definition file content.
  - encoded_values_content (str) – Base64 encoded value of the parameters/values file content.
  - values (list[SetValue]) – The collection of overridable values that can be passed when running a task.
  - timeout (int) – Run timeout in seconds. Default value: 3600 .
  - platform (PlatformProperties) – Required. The platform properties against which the run has to happen.
  - agent_configuration (AgentProperties) – The machine configuration of the run agent.
  - source_location (str) – The URL(absolute or relative) of the source context. It can be an URL to a tar or git repository. If it is relative URL, the relative path should be obtained from calling listBuildSourceUploadUrl API.
  - credentials (Credentials) – The properties that describes a set of credentials that will be used when this run is invoked.

class `azure.mgmt.containerregistry.v2018_09_01.models.``EncodedTaskStep`(*, encoded_task_content: str, context_path: str = None, context_access_token: str = None, encoded_values_content: str = None, values=None, **kwargs)

  Bases: `azure.mgmt.containerregistry.v2018_09_01.models._models_py3.TaskStepProperties`

  The properties of a encoded task step.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables: | base_image_dependencies (list[BaseImageDependency]) – List of base image dependencies for a step.

  Parameters:

  - context_path (str) – The URL(absolute or relative) of the source context for the task step.
  - context_access_token (str) – The token (git PAT or SAS token of storage account blob) associated with the context for a step.
  - type (str) – Required. Constant filled by server.
  - encoded_task_content (str) – Required. Base64 encoded value of the template/definition file content.
  - encoded_values_content (str) – Base64 encoded value of the parameters/values file content.
  - values (list[SetValue]) – The collection of overridable values that can be passed when running a task.

class `azure.mgmt.containerregistry.v2018_09_01.models.``EncodedTaskStepUpdateParameters`(*, context_path: str = None, context_access_token: str = None, encoded_task_content: str = None, encoded_values_content: str = None, values=None, **kwargs)

  Bases: `azure.mgmt.containerregistry.v2018_09_01.models._models_py3.TaskStepUpdateParameters`

  The properties for updating encoded task step.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - context_path (str) – The URL(absolute or relative) of the source context for the task step.
  - context_access_token (str) – The token (git PAT or SAS token of storage account blob) associated with the context for a step.
  - type (str) – Required. Constant filled by server.
  - encoded_task_content (str) – Base64 encoded value of the template/definition file content.
  - encoded_values_content (str) – Base64 encoded value of the parameters/values file content.
  - values (list[SetValue]) – The collection of overridable values that can be passed when running a task.

class `azure.mgmt.containerregistry.v2018_09_01.models.``Event`(*, id: str = None, event_request_message=None, event_response_message=None, **kwargs)

  Bases: `azure.mgmt.containerregistry.v2018_09_01.models._models_py3.EventInfo`

  The event for a webhook.

  Parameters:

  - id (str) – The event ID.
  - event_request_message (EventRequestMessage) – The event request message sent to the service URI.
  - event_response_message (EventResponseMessage) – The event response message received from the service URI.

class `azure.mgmt.containerregistry.v2018_09_01.models.``EventContent`(*, id: str = None, timestamp=None, action: str = None, target=None, request=None, actor=None, source=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The content of the event request message.

  Parameters:

  - id (str) – The event ID.
  - timestamp (datetime) – The time at which the event occurred.
  - action (str) – The action that encompasses the provided event.
  - target (Target) – The target of the event.
  - request (Request) – The request that generated the event.
  - actor (Actor) – The agent that initiated the event. For most situations, this could be from the authorization context of the request.
  - source (Source) – The registry node that generated the event. Put differently, while the actor initiates the event, the source generates it.

class `azure.mgmt.containerregistry.v2018_09_01.models.``EventInfo`(*, id: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The basic information of an event.

  Parameters: | id (str) – The event ID.

class `azure.mgmt.containerregistry.v2018_09_01.models.``EventRequestMessage`(*, content=None, headers=None, method: str = None, request_uri: str = None, version: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The event request message sent to the service URI.

  Parameters:

  - content (EventContent) – The content of the event request message.
  - headers (dict[str, str]) – The headers of the event request message.
  - method (str) – The HTTP method used to send the event request message.
  - request_uri (str) – The URI used to send the event request message.
  - version (str) – The HTTP message version.

class `azure.mgmt.containerregistry.v2018_09_01.models.``EventResponseMessage`(*, content: str = None, headers=None, reason_phrase: str = None, status_code: str = None, version: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The event response message received from the service URI.

  Parameters:

  - content (str) – The content of the event response message.
  - headers (dict[str, str]) – The headers of the event response message.
  - reason_phrase (str) – The reason phrase of the event response message.
  - status_code (str) – The status code of the event response message.
  - version (str) – The HTTP message version.

class `azure.mgmt.containerregistry.v2018_09_01.models.``FileTaskRunRequest`(*, task_file_path: str, platform, is_archive_enabled: bool = False, values_file_path: str = None, values=None, timeout: int = 3600, agent_configuration=None, source_location: str = None, credentials=None, **kwargs)

  Bases: `azure.mgmt.containerregistry.v2018_09_01.models._models_py3.RunRequest`

  The request parameters for a scheduling run against a task file.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - is_archive_enabled (bool) – The value that indicates whether archiving is enabled for the run or not. Default value: False .
  - type (str) – Required. Constant filled by server.
  - task_file_path (str) – Required. The template/definition file path relative to the source.
  - values_file_path (str) – The values/parameters file path relative to the source.
  - values (list[SetValue]) – The collection of overridable values that can be passed when running a task.
  - timeout (int) – Run timeout in seconds. Default value: 3600 .
  - platform (PlatformProperties) – Required. The platform properties against which the run has to happen.
  - agent_configuration (AgentProperties) – The machine configuration of the run agent.
  - source_location (str) – The URL(absolute or relative) of the source context. It can be an URL to a tar or git repository. If it is relative URL, the relative path should be obtained from calling listBuildSourceUploadUrl API.
  - credentials (Credentials) – The properties that describes a set of credentials that will be used when this run is invoked.

class `azure.mgmt.containerregistry.v2018_09_01.models.``FileTaskStep`(*, task_file_path: str, context_path: str = None, context_access_token: str = None, values_file_path: str = None, values=None, **kwargs)

  Bases: `azure.mgmt.containerregistry.v2018_09_01.models._models_py3.TaskStepProperties`

  The properties of a task step.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables: | base_image_dependencies (list[BaseImageDependency]) – List of base image dependencies for a step.

  Parameters:

  - context_path (str) – The URL(absolute or relative) of the source context for the task step.
  - context_access_token (str) – The token (git PAT or SAS token of storage account blob) associated with the context for a step.
  - type (str) – Required. Constant filled by server.
  - task_file_path (str) – Required. The task template/definition file path relative to the source context.
  - values_file_path (str) – The task values/parameters file path relative to the source context.
  - values (list[SetValue]) – The collection of overridable values that can be passed when running a task.

class `azure.mgmt.containerregistry.v2018_09_01.models.``FileTaskStepUpdateParameters`(*, context_path: str = None, context_access_token: str = None, task_file_path: str = None, values_file_path: str = None, values=None, **kwargs)

  Bases: `azure.mgmt.containerregistry.v2018_09_01.models._models_py3.TaskStepUpdateParameters`

  The properties of updating a task step.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - context_path (str) – The URL(absolute or relative) of the source context for the task step.
  - context_access_token (str) – The token (git PAT or SAS token of storage account blob) associated with the context for a step.
  - type (str) – Required. Constant filled by server.
  - task_file_path (str) – The task template/definition file path relative to the source context.
  - values_file_path (str) – The values/parameters file path relative to the source context.
  - values (list[SetValue]) – The collection of overridable values that can be passed when running a task.

class `azure.mgmt.containerregistry.v2018_09_01.models.``ImageDescriptor`(*, registry: str = None, repository: str = None, tag: str = None, digest: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Properties for a registry image.

  Parameters:

  - registry (str) – The registry login server.
  - repository (str) – The repository name.
  - tag (str) – The tag name.
  - digest (str) – The sha256-based digest of the image manifest.

class `azure.mgmt.containerregistry.v2018_09_01.models.``ImageUpdateTrigger`(*, id: str = None, timestamp=None, images=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The image update trigger that caused a build.

  Parameters:

  - id (str) – The unique ID of the trigger.
  - timestamp (datetime) – The timestamp when the image update happened.
  - images (list[ImageDescriptor]) – The list of image updates that caused the build.

class `azure.mgmt.containerregistry.v2018_09_01.models.``ImportImageParameters`(*, source, target_tags=None, untagged_target_repositories=None, mode='NoForce', **kwargs)

  Bases: `msrest.serialization.Model`

  ImportImageParameters.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - source (ImportSource) – Required. The source of the image.
  - target_tags (list[str]) – List of strings of the form repo[:tag]. When tag is omitted the source will be used (or ‘latest’ if source tag is also omitted).
  - untagged_target_repositories (list[str]) – List of strings of repository names to do a manifest only copy. No tag will be created.
  - mode (str or ImportMode) – When Force, any existing target tags will be overwritten. When NoForce, any existing target tags will fail the operation before any copying begins. Possible values include: ‘NoForce’, ‘Force’. Default value: “NoForce” .

class `azure.mgmt.containerregistry.v2018_09_01.models.``ImportSource`(*, source_image: str, resource_id: str = None, registry_uri: str = None, credentials=None, **kwargs)

  Bases: `msrest.serialization.Model`

  ImportSource.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - resource_id (str) – The resource identifier of the source Azure Container Registry.
  - registry_uri (str) – The address of the source registry (e.g. ‘mcr.microsoft.com’).
  - credentials (ImportSourceCredentials) – Credentials used when importing from a registry uri.
  - source_image (str) – Required. Repository name of the source image. Specify an image by repository (‘hello-world’). This will use the ‘latest’ tag. Specify an image by tag (‘hello-world:latest’). Specify an image by sha256-based manifest digest (‘hello-world@sha256:abc123’).

class `azure.mgmt.containerregistry.v2018_09_01.models.``ImportSourceCredentials`(*, password: str, username: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  ImportSourceCredentials.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - username (str) – The username to authenticate with the source registry.
  - password (str) – Required. The password used to authenticate with the source registry.

class `azure.mgmt.containerregistry.v2018_09_01.models.``IPRule`(*, ip_address_or_range: str, action='Allow', **kwargs)

  Bases: `msrest.serialization.Model`

  IP rule with specific IP or IP range in CIDR format.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - action (str or Action) – The action of IP ACL rule. Possible values include: ‘Allow’. Default value: “Allow” .
  - ip_address_or_range (str) – Required. Specifies the IP or IP range in CIDR format. Only IPV4 address is allowed.

class `azure.mgmt.containerregistry.v2018_09_01.models.``NetworkRuleSet`(*, default_action='Allow', virtual_network_rules=None, ip_rules=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The network rule set for a container registry.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - default_action (str or DefaultAction) – Required. The default action of allow or deny when no other rules match. Possible values include: ‘Allow’, ‘Deny’. Default value: “Allow” .
  - virtual_network_rules (list[VirtualNetworkRule]) – The virtual network rules.
  - ip_rules (list[IPRule]) – The IP ACL rules.

class `azure.mgmt.containerregistry.v2018_09_01.models.``OperationDefinition`(*, origin: str = None, name: str = None, display=None, service_specification=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The definition of a container registry operation.

  Parameters:

  - origin (str) – The origin information of the container registry operation.
  - name (str) – Operation name: {provider}/{resource}/{operation}.
  - display (OperationDisplayDefinition) – The display information for the container registry operation.
  - service_specification (OperationServiceSpecificationDefinition) – The definition of Azure Monitoring service.

class `azure.mgmt.containerregistry.v2018_09_01.models.``OperationDisplayDefinition`(*, provider: str = None, resource: str = None, operation: str = None, description: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The display information for a container registry operation.

  Parameters:

  - provider (str) – The resource provider name: Microsoft.ContainerRegistry.
  - resource (str) – The resource on which the operation is performed.
  - operation (str) – The operation that users can perform.
  - description (str) – The description for the operation.

class `azure.mgmt.containerregistry.v2018_09_01.models.``OperationMetricSpecificationDefinition`(*, name: str = None, display_name: str = None, display_description: str = None, unit: str = None, aggregation_type: str = None, internal_metric_name: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The definition of Azure Monitoring metric.

  Parameters:

  - name (str) – Metric name.
  - display_name (str) – Metric display name.
  - display_description (str) – Metric description.
  - unit (str) – Metric unit.
  - aggregation_type (str) – Metric aggregation type.
  - internal_metric_name (str) – Internal metric name.

class `azure.mgmt.containerregistry.v2018_09_01.models.``OperationServiceSpecificationDefinition`(*, metric_specifications=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The definition of Azure Monitoring metrics list.

  Parameters: | metric_specifications (list[OperationMetricSpecificationDefinition]) – A list of Azure Monitoring metrics definition.

class `azure.mgmt.containerregistry.v2018_09_01.models.``PlatformProperties`(*, os, architecture=None, variant=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The platform properties against which the run has to happen.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - os (str or OS) – Required. The operating system type required for the run. Possible values include: ‘Windows’, ‘Linux’
  - architecture (str or Architecture) – The OS architecture. Possible values include: ‘amd64’, ‘x86’, ‘arm’
  - variant (str or Variant) – Variant of the CPU. Possible values include: ‘v6’, ‘v7’, ‘v8’

class `azure.mgmt.containerregistry.v2018_09_01.models.``PlatformUpdateParameters`(*, os=None, architecture=None, variant=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The properties for updating the platform configuration.

  Parameters:

  - os (str or OS) – The operating system type required for the run. Possible values include: ‘Windows’, ‘Linux’
  - architecture (str or Architecture) – The OS architecture. Possible values include: ‘amd64’, ‘x86’, ‘arm’
  - variant (str or Variant) – Variant of the CPU. Possible values include: ‘v6’, ‘v7’, ‘v8’

class `azure.mgmt.containerregistry.v2018_09_01.models.``ProxyResource`(**kwargs)

  Bases: `msrest.serialization.Model`

  The resource model definition for a ARM proxy resource. It will have everything other than required location and tags.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The resource ID.
  - name (str) – The name of the resource.
  - type (str) – The type of the resource.

class `azure.mgmt.containerregistry.v2018_09_01.models.``QuarantinePolicy`(*, status=None, **kwargs)

  Bases: `msrest.serialization.Model`

  An object that represents quarantine policy for a container registry.

  Parameters: | status (str or PolicyStatus) – The value that indicates whether the policy is enabled or not. Possible values include: ‘enabled’, ‘disabled’

class `azure.mgmt.containerregistry.v2018_09_01.models.``RegenerateCredentialParameters`(*, name, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters used to regenerate the login credential.

  All required parameters must be populated in order to send to Azure.

  Parameters: | name (str or PasswordName) – Required. Specifies name of the password which should be regenerated – password or password2. Possible values include: ‘password’, ‘password2’

class `azure.mgmt.containerregistry.v2018_09_01.models.``Registry`(*, location: str, sku, tags=None, admin_user_enabled: bool = False, storage_account=None, network_rule_set=None, **kwargs)

  Bases: `azure.mgmt.containerregistry.v2018_09_01.models._models_py3.Resource`

  An object that represents a container registry.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – The resource ID.
  - name (str) – The name of the resource.
  - type (str) – The type of the resource.
  - login_server (str) – The URL that can be used to log into the container registry.
  - creation_date (datetime) – The creation date of the container registry in ISO8601 format.
  - provisioning_state (str or ProvisioningState) – The provisioning state of the container registry at the time the operation was called. Possible values include: ‘Creating’, ‘Updating’, ‘Deleting’, ‘Succeeded’, ‘Failed’, ‘Canceled’
  - status (Status) – The status of the container registry at the time the operation was called.

  Parameters:

  - location (str) – Required. The location of the resource. This cannot be changed after the resource is created.
  - tags (dict[str, str]) – The tags of the resource.
  - sku (Sku) – Required. The SKU of the container registry.
  - admin_user_enabled (bool) – The value that indicates whether the admin user is enabled. Default value: False .
  - storage_account (StorageAccountProperties) – The properties of the storage account for the container registry. Only applicable to Classic SKU.
  - network_rule_set (NetworkRuleSet) – The network rule set for a container registry.

class `azure.mgmt.containerregistry.v2018_09_01.models.``RegistryListCredentialsResult`(*, username: str = None, passwords=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The response from the ListCredentials operation.

  Parameters:

  - username (str) – The username for a container registry.
  - passwords (list[RegistryPassword]) – The list of passwords for a container registry.

class `azure.mgmt.containerregistry.v2018_09_01.models.``RegistryNameCheckRequest`(*, name: str, **kwargs)

  Bases: `msrest.serialization.Model`

  A request to check whether a container registry name is available.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters: | name (str) – Required. The name of the container registry.
  Variables: | type (str) – Required. The resource type of the container registry. This field must be set to ‘Microsoft.ContainerRegistry/registries’. Default value: “Microsoft.ContainerRegistry/registries” .

  `type` = 'Microsoft.ContainerRegistry/registries'

class `azure.mgmt.containerregistry.v2018_09_01.models.``RegistryNameStatus`(*, name_available: bool = None, reason: str = None, message: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The result of a request to check the availability of a container registry name.

  Parameters:

  - name_available (bool) – The value that indicates whether the name is available.
  - reason (str) – If any, the reason that the name is not available.
  - message (str) – If any, the error message that provides more detail for the reason that the name is not available.

class `azure.mgmt.containerregistry.v2018_09_01.models.``RegistryPassword`(*, name=None, value: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The login password for the container registry.

  Parameters:

  - name (str or PasswordName) – The password name. Possible values include: ‘password’, ‘password2’
  - value (str) – The password value.

class `azure.mgmt.containerregistry.v2018_09_01.models.``RegistryPolicies`(*, quarantine_policy=None, trust_policy=None, **kwargs)

  Bases: `msrest.serialization.Model`

  An object that represents policies for a container registry.

  Parameters:

  - quarantine_policy (QuarantinePolicy) – An object that represents quarantine policy for a container registry.
  - trust_policy (TrustPolicy) – An object that represents content trust policy for a container registry.

class `azure.mgmt.containerregistry.v2018_09_01.models.``RegistryUpdateParameters`(*, tags=None, sku=None, admin_user_enabled: bool = None, storage_account=None, network_rule_set=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters for updating a container registry.

  Parameters:

  - tags (dict[str, str]) – The tags for the container registry.
  - sku (Sku) – The SKU of the container registry.
  - admin_user_enabled (bool) – The value that indicates whether the admin user is enabled.
  - storage_account (StorageAccountProperties) – The parameters of a storage account for the container registry. Only applicable to Classic SKU. If specified, the storage account must be in the same physical location as the container registry.
  - network_rule_set (NetworkRuleSet) – The network rule set for a container registry.

class `azure.mgmt.containerregistry.v2018_09_01.models.``RegistryUsage`(*, name: str = None, limit: int = None, current_value: int = None, unit=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The quota usage for a container registry.

  Parameters:

  - name (str) – The name of the usage.
  - limit (long) – The limit of the usage.
  - current_value (long) – The current value of the usage.
  - unit (str or RegistryUsageUnit) – The unit of measurement. Possible values include: ‘Count’, ‘Bytes’

class `azure.mgmt.containerregistry.v2018_09_01.models.``RegistryUsageListResult`(*, value=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The result of a request to get container registry quota usages.

  Parameters: | value (list[RegistryUsage]) – The list of container registry quota usages.

class `azure.mgmt.containerregistry.v2018_09_01.models.``Replication`(*, location: str, tags=None, **kwargs)

  Bases: `azure.mgmt.containerregistry.v2018_09_01.models._models_py3.Resource`

  An object that represents a replication for a container registry.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – The resource ID.
  - name (str) – The name of the resource.
  - type (str) – The type of the resource.
  - provisioning_state (str or ProvisioningState) – The provisioning state of the replication at the time the operation was called. Possible values include: ‘Creating’, ‘Updating’, ‘Deleting’, ‘Succeeded’, ‘Failed’, ‘Canceled’
  - status (Status) – The status of the replication at the time the operation was called.

  Parameters:

  - location (str) – Required. The location of the resource. This cannot be changed after the resource is created.
  - tags (dict[str, str]) – The tags of the resource.

class `azure.mgmt.containerregistry.v2018_09_01.models.``ReplicationUpdateParameters`(*, tags=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters for updating a replication.

  Parameters: | tags (dict[str, str]) – The tags for the replication.

class `azure.mgmt.containerregistry.v2018_09_01.models.``Request`(*, id: str = None, addr: str = None, host: str = None, method: str = None, useragent: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The request that generated the event.

  Parameters:

  - id (str) – The ID of the request that initiated the event.
  - addr (str) – The IP or hostname and possibly port of the client connection that initiated the event. This is the RemoteAddr from the standard http request.
  - host (str) – The externally accessible hostname of the registry instance, as specified by the http host header on incoming requests.
  - method (str) – The request method that generated the event.
  - useragent (str) – The user agent header of the request.

class `azure.mgmt.containerregistry.v2018_09_01.models.``Resource`(*, location: str, tags=None, **kwargs)

  Bases: `msrest.serialization.Model`

  An Azure resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – The resource ID.
  - name (str) – The name of the resource.
  - type (str) – The type of the resource.

  Parameters:

  - location (str) – Required. The location of the resource. This cannot be changed after the resource is created.
  - tags (dict[str, str]) – The tags of the resource.

class `azure.mgmt.containerregistry.v2018_09_01.models.``Run`(*, run_id: str = None, status=None, last_updated_time=None, run_type=None, create_time=None, start_time=None, finish_time=None, output_images=None, task: str = None, image_update_trigger=None, source_trigger=None, platform=None, agent_configuration=None, source_registry_auth: str = None, custom_registries=None, provisioning_state=None, is_archive_enabled: bool = False, **kwargs)

  Bases: `azure.mgmt.containerregistry.v2018_09_01.models._models_py3.ProxyResource`

  Run resource properties.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The resource ID.
  - name (str) – The name of the resource.
  - type (str) – The type of the resource.
  - run_error_message (str) – The error message received from backend systems after the run is scheduled.

  Parameters:

  - run_id (str) – The unique identifier for the run.
  - status (str or RunStatus) – The current status of the run. Possible values include: ‘Queued’, ‘Started’, ‘Running’, ‘Succeeded’, ‘Failed’, ‘Canceled’, ‘Error’, ‘Timeout’
  - last_updated_time (datetime) – The last updated time for the run.
  - run_type (str or RunType) – The type of run. Possible values include: ‘QuickBuild’, ‘QuickRun’, ‘AutoBuild’, ‘AutoRun’
  - create_time (datetime) – The time the run was scheduled.
  - start_time (datetime) – The time the run started.
  - finish_time (datetime) – The time the run finished.
  - output_images (list[ImageDescriptor]) – The list of all images that were generated from the run. This is applicable if the run generates base image dependencies.
  - task (str) – The task against which run was scheduled.
  - image_update_trigger (ImageUpdateTrigger) – The image update trigger that caused the run. This is applicable if the task has base image trigger configured.
  - source_trigger (SourceTriggerDescriptor) – The source trigger that caused the run.
  - platform (PlatformProperties) – The platform properties against which the run will happen.
  - agent_configuration (AgentProperties) – The machine configuration of the run agent.
  - source_registry_auth (str) – The scope of the credentials that were used to login to the source registry during this run.
  - custom_registries (list[str]) – The list of custom registries that were logged in during this run.
  - provisioning_state (str or ProvisioningState) – The provisioning state of a run. Possible values include: ‘Creating’, ‘Updating’, ‘Deleting’, ‘Succeeded’, ‘Failed’, ‘Canceled’
  - is_archive_enabled (bool) – The value that indicates whether archiving is enabled or not. Default value: False .

class `azure.mgmt.containerregistry.v2018_09_01.models.``RunFilter`(*, run_id: str = None, run_type=None, status=None, create_time=None, finish_time=None, output_image_manifests: str = None, is_archive_enabled: bool = None, task_name: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Properties that are enabled for Odata querying on runs.

  Parameters:

  - run_id (str) – The unique identifier for the run.
  - run_type (str or RunType) – The type of run. Possible values include: ‘QuickBuild’, ‘QuickRun’, ‘AutoBuild’, ‘AutoRun’
  - status (str or RunStatus) – The current status of the run. Possible values include: ‘Queued’, ‘Started’, ‘Running’, ‘Succeeded’, ‘Failed’, ‘Canceled’, ‘Error’, ‘Timeout’
  - create_time (datetime) – The create time for a run.
  - finish_time (datetime) – The time the run finished.
  - output_image_manifests (str) – The list of comma-separated image manifests that were generated from the run. This is applicable if the run is of build type.
  - is_archive_enabled (bool) – The value that indicates whether archiving is enabled or not.
  - task_name (str) – The name of the task that the run corresponds to.

class `azure.mgmt.containerregistry.v2018_09_01.models.``RunGetLogResult`(*, log_link: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The result of get log link operation.

  Parameters: | log_link (str) – The link to logs for a run on a azure container registry.

class `azure.mgmt.containerregistry.v2018_09_01.models.``RunRequest`(*, is_archive_enabled: bool = False, **kwargs)

  Bases: `msrest.serialization.Model`

  The request parameters for scheduling a run.

  You probably want to use the sub-classes and not this class directly. Known sub-classes are: DockerBuildRequest, FileTaskRunRequest, TaskRunRequest, EncodedTaskRunRequest

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - is_archive_enabled (bool) – The value that indicates whether archiving is enabled for the run or not. Default value: False .
  - type (str) – Required. Constant filled by server.

class `azure.mgmt.containerregistry.v2018_09_01.models.``RunUpdateParameters`(*, is_archive_enabled: bool = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The set of run properties that can be updated.

  Parameters: | is_archive_enabled (bool) – The value that indicates whether archiving is enabled or not.

class `azure.mgmt.containerregistry.v2018_09_01.models.``SecretObject`(*, value: str = None, type=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Describes the properties of a secret object value.

  Parameters:

  - value (str) – The value of the secret. The format of this value will be determined based on the type of the secret object. If the type is Opaque, the value will be used as is without any modification.
  - type (str or SecretObjectType) – The type of the secret object which determines how the value of the secret object has to be interpreted. Possible values include: ‘Opaque’

class `azure.mgmt.containerregistry.v2018_09_01.models.``SetValue`(*, name: str, value: str, is_secret: bool = False, **kwargs)

  Bases: `msrest.serialization.Model`

  The properties of a overridable value that can be passed to a task template.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - name (str) – Required. The name of the overridable value.
  - value (str) – Required. The overridable value.
  - is_secret (bool) – Flag to indicate whether the value represents a secret or not. Default value: False .

class `azure.mgmt.containerregistry.v2018_09_01.models.``Sku`(*, name, **kwargs)

  Bases: `msrest.serialization.Model`

  The SKU of a container registry.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters: | name (str or SkuName) – Required. The SKU name of the container registry. Required for registry creation. Possible values include: ‘Classic’, ‘Basic’, ‘Standard’, ‘Premium’
  Variables: | tier (str or SkuTier) – The SKU tier based on the SKU name. Possible values include: ‘Classic’, ‘Basic’, ‘Standard’, ‘Premium’

class `azure.mgmt.containerregistry.v2018_09_01.models.``Source`(*, addr: str = None, instance_id: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The registry node that generated the event. Put differently, while the actor initiates the event, the source generates it.

  Parameters:

  - addr (str) – The IP or hostname and the port of the registry node that generated the event. Generally, this will be resolved by os.Hostname() along with the running port.
  - instance_id (str) – The running instance of an application. Changes after each restart.

class `azure.mgmt.containerregistry.v2018_09_01.models.``SourceProperties`(*, source_control_type, repository_url: str, branch: str = None, source_control_auth_properties=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The properties of the source code repository.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - source_control_type (str or SourceControlType) – Required. The type of source control service. Possible values include: ‘Github’, ‘VisualStudioTeamService’
  - repository_url (str) – Required. The full URL to the source code repository
  - branch (str) – The branch name of the source code.
  - source_control_auth_properties (AuthInfo) – The authorization properties for accessing the source code repository and to set up webhooks for notifications.

class `azure.mgmt.containerregistry.v2018_09_01.models.``SourceRegistryCredentials`(*, login_mode=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Describes the credential parameters for accessing the source registry.

  Parameters: | login_mode (str or SourceRegistryLoginMode) – The authentication mode which determines the source registry login scope. The credentials for the source registry will be generated using the given scope. These credentials will be used to login to the source registry during the run. Possible values include: ‘None’, ‘Default’

class `azure.mgmt.containerregistry.v2018_09_01.models.``SourceTrigger`(*, source_repository, source_trigger_events, name: str, status='Enabled', **kwargs)

  Bases: `msrest.serialization.Model`

  The properties of a source based trigger.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - source_repository (SourceProperties) – Required. The properties that describes the source(code) for the task.
  - source_trigger_events (list[str or SourceTriggerEvent]) – Required. The source event corresponding to the trigger.
  - status (str or TriggerStatus) – The current status of trigger. Possible values include: ‘Disabled’, ‘Enabled’. Default value: “Enabled” .
  - name (str) – Required. The name of the trigger.

class `azure.mgmt.containerregistry.v2018_09_01.models.``SourceTriggerDescriptor`(*, id: str = None, event_type: str = None, commit_id: str = None, pull_request_id: str = None, repository_url: str = None, branch_name: str = None, provider_type: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The source trigger that caused a run.

  Parameters:

  - id (str) – The unique ID of the trigger.
  - event_type (str) – The event type of the trigger.
  - commit_id (str) – The unique ID that identifies a commit.
  - pull_request_id (str) – The unique ID that identifies pull request.
  - repository_url (str) – The repository URL.
  - branch_name (str) – The branch name in the repository.
  - provider_type (str) – The source control provider type.

class `azure.mgmt.containerregistry.v2018_09_01.models.``SourceTriggerUpdateParameters`(*, name: str, source_repository=None, source_trigger_events=None, status='Enabled', **kwargs)

  Bases: `msrest.serialization.Model`

  The properties for updating a source based trigger.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - source_repository (SourceUpdateParameters) – The properties that describes the source(code) for the task.
  - source_trigger_events (list[str or SourceTriggerEvent]) – The source event corresponding to the trigger.
  - status (str or TriggerStatus) – The current status of trigger. Possible values include: ‘Disabled’, ‘Enabled’. Default value: “Enabled” .
  - name (str) – Required. The name of the trigger.

class `azure.mgmt.containerregistry.v2018_09_01.models.``SourceUpdateParameters`(*, source_control_type=None, repository_url: str = None, branch: str = None, source_control_auth_properties=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The properties for updating the source code repository.

  Parameters:

  - source_control_type (str or SourceControlType) – The type of source control service. Possible values include: ‘Github’, ‘VisualStudioTeamService’
  - repository_url (str) – The full URL to the source code repository
  - branch (str) – The branch name of the source code.
  - source_control_auth_properties (AuthInfoUpdateParameters) – The authorization properties for accessing the source code repository and to set up webhooks for notifications.

class `azure.mgmt.containerregistry.v2018_09_01.models.``SourceUploadDefinition`(*, upload_url: str = None, relative_path: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The properties of a response to source upload request.

  Parameters:

  - upload_url (str) – The URL where the client can upload the source.
  - relative_path (str) – The relative path to the source. This is used to submit the subsequent queue build request.

class `azure.mgmt.containerregistry.v2018_09_01.models.``Status`(**kwargs)

  Bases: `msrest.serialization.Model`

  The status of an Azure resource at the time the operation was called.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - display_status (str) – The short label for the status.
  - message (str) – The detailed message for the status, including alerts and error messages.
  - timestamp (datetime) – The timestamp when the status was changed to the current value.

class `azure.mgmt.containerregistry.v2018_09_01.models.``StorageAccountProperties`(*, id: str, **kwargs)

  Bases: `msrest.serialization.Model`

  The properties of a storage account for a container registry. Only applicable to Classic SKU.

  All required parameters must be populated in order to send to Azure.

  Parameters: | id (str) – Required. The resource ID of the storage account.

class `azure.mgmt.containerregistry.v2018_09_01.models.``Target`(*, media_type: str = None, size: int = None, digest: str = None, length: int = None, repository: str = None, url: str = None, tag: str = None, name: str = None, version: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The target of the event.

  Parameters:

  - media_type (str) – The MIME type of the referenced object.
  - size (long) – The number of bytes of the content. Same as Length field.
  - digest (str) – The digest of the content, as defined by the Registry V2 HTTP API Specification.
  - length (long) – The number of bytes of the content. Same as Size field.
  - repository (str) – The repository name.
  - url (str) – The direct URL to the content.
  - tag (str) – The tag name.
  - name (str) – The name of the artifact.
  - version (str) – The version of the artifact.

class `azure.mgmt.containerregistry.v2018_09_01.models.``Task`(*, location: str, platform, step, tags=None, status=None, agent_configuration=None, timeout: int = 3600, trigger=None, credentials=None, **kwargs)

  Bases: `azure.mgmt.containerregistry.v2018_09_01.models._models_py3.Resource`

  The task that has the ARM resource and task properties. The task will have all information to schedule a run against it.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – The resource ID.
  - name (str) – The name of the resource.
  - type (str) – The type of the resource.
  - provisioning_state (str or ProvisioningState) – The provisioning state of the task. Possible values include: ‘Creating’, ‘Updating’, ‘Deleting’, ‘Succeeded’, ‘Failed’, ‘Canceled’
  - creation_date (datetime) – The creation date of task.

  Parameters:

  - location (str) – Required. The location of the resource. This cannot be changed after the resource is created.
  - tags (dict[str, str]) – The tags of the resource.
  - status (str or TaskStatus) – The current status of task. Possible values include: ‘Disabled’, ‘Enabled’
  - platform (PlatformProperties) – Required. The platform properties against which the run has to happen.
  - agent_configuration (AgentProperties) – The machine configuration of the run agent.
  - timeout (int) – Run timeout in seconds. Default value: 3600 .
  - step (TaskStepProperties) – Required. The properties of a task step.
  - trigger (TriggerProperties) – The properties that describe all triggers for the task.
  - credentials (Credentials) – The properties that describes a set of credentials that will be used when this run is invoked.

class `azure.mgmt.containerregistry.v2018_09_01.models.``TaskRunRequest`(*, task_name: str, is_archive_enabled: bool = False, values=None, **kwargs)

  Bases: `azure.mgmt.containerregistry.v2018_09_01.models._models_py3.RunRequest`

  The parameters for a task run request.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - is_archive_enabled (bool) – The value that indicates whether archiving is enabled for the run or not. Default value: False .
  - type (str) – Required. Constant filled by server.
  - task_name (str) – Required. The name of task against which run has to be queued.
  - values (list[SetValue]) – The collection of overridable values that can be passed when running a task.

class `azure.mgmt.containerregistry.v2018_09_01.models.``TaskStepProperties`(*, context_path: str = None, context_access_token: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Base properties for any task step.

  You probably want to use the sub-classes and not this class directly. Known sub-classes are: DockerBuildStep, FileTaskStep, EncodedTaskStep

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables: | base_image_dependencies (list[BaseImageDependency]) – List of base image dependencies for a step.

  Parameters:

  - context_path (str) – The URL(absolute or relative) of the source context for the task step.
  - context_access_token (str) – The token (git PAT or SAS token of storage account blob) associated with the context for a step.
  - type (str) – Required. Constant filled by server.

class `azure.mgmt.containerregistry.v2018_09_01.models.``TaskStepUpdateParameters`(*, context_path: str = None, context_access_token: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Base properties for updating any task step.

  You probably want to use the sub-classes and not this class directly. Known sub-classes are: DockerBuildStepUpdateParameters, FileTaskStepUpdateParameters, EncodedTaskStepUpdateParameters

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - context_path (str) – The URL(absolute or relative) of the source context for the task step.
  - context_access_token (str) – The token (git PAT or SAS token of storage account blob) associated with the context for a step.
  - type (str) – Required. Constant filled by server.

class `azure.mgmt.containerregistry.v2018_09_01.models.``TaskUpdateParameters`(*, status=None, platform=None, agent_configuration=None, timeout: int = None, step=None, trigger=None, credentials=None, tags=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters for updating a task.

  Parameters:

  - status (str or TaskStatus) – The current status of task. Possible values include: ‘Disabled’, ‘Enabled’
  - platform (PlatformUpdateParameters) – The platform properties against which the run has to happen.
  - agent_configuration (AgentProperties) – The machine configuration of the run agent.
  - timeout (int) – Run timeout in seconds.
  - step (TaskStepUpdateParameters) – The properties for updating a task step.
  - trigger (TriggerUpdateParameters) – The properties for updating trigger properties.
  - credentials (Credentials) – The parameters that describes a set of credentials that will be used when this run is invoked.
  - tags (dict[str, str]) – The ARM resource tags.

class `azure.mgmt.containerregistry.v2018_09_01.models.``TriggerProperties`(*, source_triggers=None, base_image_trigger=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The properties of a trigger.

  Parameters:

  - source_triggers (list[SourceTrigger]) – The collection of triggers based on source code repository.
  - base_image_trigger (BaseImageTrigger) – The trigger based on base image dependencies.

class `azure.mgmt.containerregistry.v2018_09_01.models.``TriggerUpdateParameters`(*, source_triggers=None, base_image_trigger=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The properties for updating triggers.

  Parameters:

  - source_triggers (list[SourceTriggerUpdateParameters]) – The collection of triggers based on source code repository.
  - base_image_trigger (BaseImageTriggerUpdateParameters) – The trigger based on base image dependencies.

class `azure.mgmt.containerregistry.v2018_09_01.models.``TrustPolicy`(*, type=None, status=None, **kwargs)

  Bases: `msrest.serialization.Model`

  An object that represents content trust policy for a container registry.

  Parameters:

  - type (str or TrustPolicyType) – The type of trust policy. Possible values include: ‘Notary’
  - status (str or PolicyStatus) – The value that indicates whether the policy is enabled or not. Possible values include: ‘enabled’, ‘disabled’

class `azure.mgmt.containerregistry.v2018_09_01.models.``VirtualNetworkRule`(*, virtual_network_resource_id: str, action='Allow', **kwargs)

  Bases: `msrest.serialization.Model`

  Virtual network rule.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - action (str or Action) – The action of virtual network rule. Possible values include: ‘Allow’. Default value: “Allow” .
  - virtual_network_resource_id (str) – Required. Resource ID of a subnet, for example: /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworks/{vnetName}/subnets/{subnetName}.

class `azure.mgmt.containerregistry.v2018_09_01.models.``Webhook`(*, location: str, actions, tags=None, status=None, scope: str = None, **kwargs)

  Bases: `azure.mgmt.containerregistry.v2018_09_01.models._models_py3.Resource`

  An object that represents a webhook for a container registry.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – The resource ID.
  - name (str) – The name of the resource.
  - type (str) – The type of the resource.
  - provisioning_state (str or ProvisioningState) – The provisioning state of the webhook at the time the operation was called. Possible values include: ‘Creating’, ‘Updating’, ‘Deleting’, ‘Succeeded’, ‘Failed’, ‘Canceled’

  Parameters:

  - location (str) – Required. The location of the resource. This cannot be changed after the resource is created.
  - tags (dict[str, str]) – The tags of the resource.
  - status (str or WebhookStatus) – The status of the webhook at the time the operation was called. Possible values include: ‘enabled’, ‘disabled’
  - scope (str) – The scope of repositories where the event can be triggered. For example, ‘foo:*’ means events for all tags under repository ‘foo’. ‘foo:bar’ means events for ‘foo:bar’ only. ‘foo’ is equivalent to ‘foo:latest’. Empty means all events.
  - actions (list[str or WebhookAction]) – Required. The list of actions that trigger the webhook to post notifications.

class `azure.mgmt.containerregistry.v2018_09_01.models.``WebhookCreateParameters`(*, location: str, service_uri: str, actions, tags=None, custom_headers=None, status=None, scope: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters for creating a webhook.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - tags (dict[str, str]) – The tags for the webhook.
  - location (str) – Required. The location of the webhook. This cannot be changed after the resource is created.
  - service_uri (str) – Required. The service URI for the webhook to post notifications.
  - custom_headers (dict[str, str]) – Custom headers that will be added to the webhook notifications.
  - status (str or WebhookStatus) – The status of the webhook at the time the operation was called. Possible values include: ‘enabled’, ‘disabled’
  - scope (str) – The scope of repositories where the event can be triggered. For example, ‘foo:*’ means events for all tags under repository ‘foo’. ‘foo:bar’ means events for ‘foo:bar’ only. ‘foo’ is equivalent to ‘foo:latest’. Empty means all events.
  - actions (list[str or WebhookAction]) – Required. The list of actions that trigger the webhook to post notifications.

class `azure.mgmt.containerregistry.v2018_09_01.models.``WebhookUpdateParameters`(*, tags=None, service_uri: str = None, custom_headers=None, status=None, scope: str = None, actions=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters for updating a webhook.

  Parameters:

  - tags (dict[str, str]) – The tags for the webhook.
  - service_uri (str) – The service URI for the webhook to post notifications.
  - custom_headers (dict[str, str]) – Custom headers that will be added to the webhook notifications.
  - status (str or WebhookStatus) – The status of the webhook at the time the operation was called. Possible values include: ‘enabled’, ‘disabled’
  - scope (str) – The scope of repositories where the event can be triggered. For example, ‘foo:*’ means events for all tags under repository ‘foo’. ‘foo:bar’ means events for ‘foo:bar’ only. ‘foo’ is equivalent to ‘foo:latest’. Empty means all events.
  - actions (list[str or WebhookAction]) – The list of actions that trigger the webhook to post notifications.

class `azure.mgmt.containerregistry.v2018_09_01.models.``RegistryPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Registry` object

class `azure.mgmt.containerregistry.v2018_09_01.models.``OperationDefinitionPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `OperationDefinition` object

class `azure.mgmt.containerregistry.v2018_09_01.models.``ReplicationPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Replication` object

class `azure.mgmt.containerregistry.v2018_09_01.models.``WebhookPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Webhook` object

class `azure.mgmt.containerregistry.v2018_09_01.models.``EventPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Event` object

class `azure.mgmt.containerregistry.v2018_09_01.models.``RunPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Run` object

class `azure.mgmt.containerregistry.v2018_09_01.models.``TaskPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Task` object

class `azure.mgmt.containerregistry.v2018_09_01.models.``ImportMode`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `force` = 'Force'
  `no_force` = 'NoForce'

class `azure.mgmt.containerregistry.v2018_09_01.models.``SkuName`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `basic` = 'Basic'
  `classic` = 'Classic'
  `premium` = 'Premium'
  `standard` = 'Standard'

class `azure.mgmt.containerregistry.v2018_09_01.models.``SkuTier`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `basic` = 'Basic'
  `classic` = 'Classic'
  `premium` = 'Premium'
  `standard` = 'Standard'

class `azure.mgmt.containerregistry.v2018_09_01.models.``ProvisioningState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `canceled` = 'Canceled'
  `creating` = 'Creating'
  `deleting` = 'Deleting'
  `failed` = 'Failed'
  `succeeded` = 'Succeeded'
  `updating` = 'Updating'

class `azure.mgmt.containerregistry.v2018_09_01.models.``DefaultAction`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `allow` = 'Allow'
  `deny` = 'Deny'

class `azure.mgmt.containerregistry.v2018_09_01.models.``Action`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `allow` = 'Allow'

class `azure.mgmt.containerregistry.v2018_09_01.models.``PasswordName`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `password` = 'password'
  `password2` = 'password2'

class `azure.mgmt.containerregistry.v2018_09_01.models.``RegistryUsageUnit`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `bytes` = 'Bytes'
  `count` = 'Count'

class `azure.mgmt.containerregistry.v2018_09_01.models.``PolicyStatus`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `disabled` = 'disabled'
  `enabled` = 'enabled'

class `azure.mgmt.containerregistry.v2018_09_01.models.``TrustPolicyType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `notary` = 'Notary'

class `azure.mgmt.containerregistry.v2018_09_01.models.``WebhookStatus`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `disabled` = 'disabled'
  `enabled` = 'enabled'

class `azure.mgmt.containerregistry.v2018_09_01.models.``WebhookAction`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `chart_delete` = 'chart_delete'
  `chart_push` = 'chart_push'
  `delete` = 'delete'
  `push` = 'push'
  `quarantine` = 'quarantine'

class `azure.mgmt.containerregistry.v2018_09_01.models.``RunStatus`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `canceled` = 'Canceled'
  `error` = 'Error'
  `failed` = 'Failed'
  `queued` = 'Queued'
  `running` = 'Running'
  `started` = 'Started'
  `succeeded` = 'Succeeded'
  `timeout` = 'Timeout'

class `azure.mgmt.containerregistry.v2018_09_01.models.``RunType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `auto_build` = 'AutoBuild'
  `auto_run` = 'AutoRun'
  `quick_build` = 'QuickBuild'
  `quick_run` = 'QuickRun'

class `azure.mgmt.containerregistry.v2018_09_01.models.``OS`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `linux` = 'Linux'
  `windows` = 'Windows'

class `azure.mgmt.containerregistry.v2018_09_01.models.``Architecture`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `amd64` = 'amd64'
  `arm` = 'arm'
  `x86` = 'x86'

class `azure.mgmt.containerregistry.v2018_09_01.models.``Variant`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `v6` = 'v6'
  `v7` = 'v7'
  `v8` = 'v8'

class `azure.mgmt.containerregistry.v2018_09_01.models.``TaskStatus`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `disabled` = 'Disabled'
  `enabled` = 'Enabled'

class `azure.mgmt.containerregistry.v2018_09_01.models.``BaseImageDependencyType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `build_time` = 'BuildTime'
  `run_time` = 'RunTime'

class `azure.mgmt.containerregistry.v2018_09_01.models.``SourceControlType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `github` = 'Github'
  `visual_studio_team_service` = 'VisualStudioTeamService'

class `azure.mgmt.containerregistry.v2018_09_01.models.``TokenType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `oauth` = 'OAuth'
  `pat` = 'PAT'

class `azure.mgmt.containerregistry.v2018_09_01.models.``SourceTriggerEvent`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `commit` = 'commit'
  `pullrequest` = 'pullrequest'

class `azure.mgmt.containerregistry.v2018_09_01.models.``TriggerStatus`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `disabled` = 'Disabled'
  `enabled` = 'Enabled'

class `azure.mgmt.containerregistry.v2018_09_01.models.``BaseImageTriggerType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `all` = 'All'
  `runtime` = 'Runtime'

class `azure.mgmt.containerregistry.v2018_09_01.models.``SourceRegistryLoginMode`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `default` = 'Default'
  `none` = 'None'

class `azure.mgmt.containerregistry.v2018_09_01.models.``SecretObjectType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `opaque` = 'Opaque'